### Property

# Clutter ShaderEffect:shader-type

#### Declaration

    property shader-type: Cogl.ShaderType [ write, construct-only ]

#### Description [src]

The type of shader that is used by the effect. This property should be set by the constructor of `ClutterShaderEffect` sub-classes.

Type:`CoglShaderType`

Default value | COGL_SHADER_TYPE_FRAGMENT

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes